Get a single wallet
curl --request GET \
--url https://api.breezing.io/v1/wallets/{id}import requests
url = "https://api.breezing.io/v1/wallets/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.breezing.io/v1/wallets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"orgId": 123,
"companyId": 123,
"address": "<string>",
"exchange": "<string>",
"bankAccount": "<string>",
"type": "<string>",
"chain": "eth",
"status": "<string>",
"dataFrom": "<string>",
"dateFrom": "<string>",
"dateTo": "<string>",
"addedTransactions": 123,
"folderId": 123,
"disablePullLatestTrx": true,
"createdAt": 123,
"updatedAt": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Wallets
Get Wallet API
Retrieve a single Breezing wallet by ID to inspect wallet details for exchange, blockchain, or bank crypto accounting records.
GET
/
wallets
/
{id}
Get a single wallet
Path Parameters
Wallet ID
Example:
"1"
Query Parameters
Organization ID. Use GET /v1/companies to discover available org/company pairs.
Example:
"1"
Company ID. Use GET /v1/companies to discover available companies and their access levels.
Example:
"1"
Last modified on April 11, 2026
⌘I